//////////////////////////////////////////////////////////////////////////////////////////////
/// \file	NurbsCurve.h
/// \author	Rob Bateman
/// \brief	Might as well add support for nurbs curves, not the quickest of rendererable
/// 		primitve, though can be used for motion paths, camera splines etc.
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
//////////////////////////////////////////////////////////////////////////////////////////////
#ifndef __NURBS_CURVE__H__
#define __NURBS_CURVE__H__

#include <iostream>
#include <maya/MFnNurbsCurve.h>

extern void OutputNurbsCurve(std::ostream &ofs,const MObject& obj);

#endif

