#include "CollisionCone.h"
XCollisionCone::XCollisionCone(void)
{
}

XCollisionCone::~XCollisionCone(void)
{
}
std::istream &operator>>(std::istream& ifs,XCollisionCone& l) {
	char buffer[64];
	ifs >> buffer; // name
	ifs >> buffer; // "id"
	ifs >> l.m_ID;
	ifs >> buffer  // "Parent="
		>> l.m_ParentID;

	ifs >> buffer; // "Angle"
	ifs >> l.m_Angle;
	ifs >> buffer; // "Cap"
	ifs >> l.m_Cap;

	return ifs;
}

/// this function draws a deformed version of the mesh
/// \param	mats	-	the material array to use
/// \param	UseVerts	-	the vertices to use
/// \param	UseNorms	-	the normals to use
void XCollisionCone::gl(XMaterialList& mats,
						  XVertList* UseVerts,
						  XNormList* UseNorms) 
{
	if( !DrawSpheres() )
		return;

	float Base = tan(m_Angle/2) * m_Cap;

	glDisable(GL_TEXTURE_2D);
	glDisable(GL_LIGHTING);

	glColor3f(0.4f,0.4f,0.4f);
	glutWireCone(Base,m_Cap,10,1);

	glEnable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}

const float& XCollisionCone::GetAngle() const {
	return m_Angle;
}

const float& XCollisionCone::GetCap() const {
	return m_Cap;
}