//-------------------------------------------------------------------
///	\file    	CollisionCone.h
///	\date   	30/4/2004   10:53
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __CollisionCone__H__
#define __CollisionCone__H__

#ifdef WIN32
#pragma once
#endif

#include<stdlib.h>
#include<GL/glut.h>
#include "Object.h"

class XCollisionCone :
	public XObject
{
	friend std::istream &operator>>(std::istream&,XCollisionCone&);

public:
	XCollisionCone(void);
	~XCollisionCone(void);

	virtual XFn::Type GetType() const {
		return XFn::CollisionCone;
	}


	/// this function draws a deformed version of the mesh
	/// \param	mats	-	the material array to use
	/// \param	UseVerts	-	the vertices to use
	/// \param	UseNorms	-	the normals to use
	virtual void gl(XMaterialList& mats,
		XVertList* UseVerts,
		XNormList* UseNorms);

	const float& GetAngle() const;

	const float& GetCap() const;

protected:

	float m_Angle;

	float m_Cap;

};


#endif


