#include "Locator.h"

XLocator::XLocator(void)
{
}

XLocator::~XLocator(void)
{
}

/// this function draws a deformed version of the mesh
/// \param	mats	-	the material array to use
/// \param	UseVerts	-	the vertices to use
/// \param	UseNorms	-	the normals to use
void XLocator::gl(XMaterialList& mats,
				  XVertList* UseVerts,
				  XNormList* UseNorms) 
{
	if( !DrawLocators() )
		return;

	glDisable(GL_TEXTURE_2D);
	glDisable(GL_LIGHTING);

	glColor3f(0,1,1);
	glPushMatrix();
		glScalef(LocatorScale(),LocatorScale(),LocatorScale());
		glBegin(GL_LINES);

			glVertex3f(0,0, 1);
			glVertex3f(0,0,-1);
			glVertex3f(0, 1,0);
			glVertex3f(0,-1,0);
			glVertex3f( 1,0,0);
			glVertex3f(-1,0,0);

		glEnd();
	glPopMatrix();

	glEnable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}

std::istream &operator>>(std::istream& ifs,XLocator& l) {
	char buffer[64];
	ifs >> buffer; // name
	l.m_Name = buffer;
	ifs >> buffer; // "ID"
	ifs >> l.m_ID;
	ifs >> buffer  // "ParentID "
		>> l.m_ParentID;
	return ifs;
}