#include "CollisionBox.h"

XCollisionBox::XCollisionBox(void)
{
}

XCollisionBox::~XCollisionBox(void)
{
}
std::istream &operator>>(std::istream& ifs,XCollisionBox& l) {
	char buffer[64];
	ifs >> buffer; // name
	ifs >> buffer; // "ID"
	ifs >> l.m_ID;
	ifs >> buffer  // "ParentID"
		>> l.m_ParentID;

	ifs >> buffer; // "X"
	ifs >> l.x;
	ifs >> buffer; // "Y"
	ifs >> l.y;
	ifs >> buffer; // "Z"
	ifs >> l.z;

	return ifs;
}

/// this function draws a deformed version of the mesh
/// \param	mats	-	the material array to use
/// \param	UseVerts	-	the vertices to use
/// \param	UseNorms	-	the normals to use
void XCollisionBox::gl( XMaterialList& mats,
						XVertList* UseVerts,
						XNormList* UseNorms) 
{
	if( !DrawSpheres() )
		return;

	glDisable(GL_TEXTURE_2D);
	glDisable(GL_LIGHTING);

	glColor3f(0.4f,0.4f,0.4f);
	glPushMatrix();
		glScalef(x,y,z);
		glutWireCube(1);
	glPopMatrix();

	glEnable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}