#include "CollisionSphere.h"

XCollisionSphere::XCollisionSphere(void)
{
}

XCollisionSphere::~XCollisionSphere(void)
{
}
std::istream &operator>>(std::istream& ifs,XCollisionSphere& l) {
	char buffer[64];
	ifs >> buffer; // name
	ifs >> buffer; // "id"
	ifs >> l.m_ID;
	ifs >> buffer  // "Parent="
		>> l.m_ParentID;

	ifs >> buffer; // "Radius"
	ifs >> l.m_Radius;

	return ifs;
}

/// this function draws a deformed version of the mesh
/// \param	mats	-	the material array to use
/// \param	UseVerts	-	the vertices to use
/// \param	UseNorms	-	the normals to use
void XCollisionSphere::gl(XMaterialList& mats,
				XVertList* UseVerts,
				XNormList* UseNorms) 
{
	if( !DrawSpheres() )
		return;

	glDisable(GL_TEXTURE_2D);
	glDisable(GL_LIGHTING);

	glColor3f(0.4f,0.4f,0.4f);
	glutWireSphere(m_Radius,6,6);

	glEnable(GL_TEXTURE_2D);
	glEnable(GL_LIGHTING);
}

const float& XCollisionSphere::GetRadius() const {
	return m_Radius;
}