
#ifndef __LIB__UTIL__H___
#define __LIB__UTIL__H___

	#ifdef __cplusplus
		#define EXTERN extern "C"
	#else
		#define EXTERN extern
	#endif
	

	#if 0

#include <cassert>
#include <vector>
#include <algorithm>
	template< typename T >
	class TAutoList {
	public:

		typedef std::vector<typename T*>::iterator iterator;
		typedef std::vector<typename T*>::const_iterator const_iterator;

		TAutoList(T* This_) {
			ms_Pointers.push_back(This_);
			std::sort(ms_Pointers.begin(),ms_Pointers.end());
		}

		virtual ~TAutoList() {
			std::vector<T*>::iterator it = std::find(ms_Pointers.begin(),ms_Pointers.end(),reinterpret_cast<T*>(this));
			std::cout << "~TAutoList()" << std::endl;
			if( it != ms_Pointers.end() )
				ms_Pointers.erase(it);
		}

		template< typename FUNC_ >
		static void ForEach(FUNC_ f) {
			iterator it = ms_Pointers.begin();
			for( ; it != ms_Pointers.end(); ++it )
				f( *(*it) );
		}

		static iterator begin() {
			return ms_Pointers.begin();
		}
		static iterator end() {
			return ms_Pointers.end();
		}

		static unsigned int NumItems() {
			return ms_Pointers.size();
		}

	protected:

		static std::vector<T*> ms_Pointers; 
	};

	template< typename T > std::vector<T*> TAutoList<T>::ms_Pointers;
	#endif

	
	/*!
	 *	\brief	Call this to initialise the utility library
	 */
	EXTERN void LibUtilInit();

	/*!
	 *	\brief	Call this to update any utils... 
	 */
	EXTERN void LibUtilIdle();

	/*!
	 *	Nicked from FrameTimer.h
	 */
	EXTERN float FrameTime();
	
#endif
